
# User Profiles (create, get, delete)

All methods to manage overall user profiles are available within the central `Armor` object by extension, providing an efficient interface to create and load user profiles.  This section only covers management of overall profiles, and please visit the [ArmorUser Class](armoruser.md) page for details on managing individual user profiles once they are loaded.


## Available Methods

The following methods are available from the central `Armor` class:

* [createUser()](./profiles/createUser.md)
* [find()](./profiles/find.md)
* [getCount()](./profiles/getCount.md)
* [getUuid()](./profiles/getUuid.md)
* [getUser()](./profiles/getUser.md)
* [removeUuid()](./profiles/removeUuid.md)
* [removeUser()](./profiles/removeUser.md)
* [purge()](./profiles/purge.md)



